Debian Bug report logs - #710786
ITP: ruby-fakeweb -- tool for faking responses to HTTP requests

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: minto joseph <mintojoseph@yahoo.com>

Date: Sun, 2 Jun 2013 11:57:01 UTC

Owned by: Minto Joseph <mintojoseph@yahoo.com>

Severity: wishlist

Fixed in version ruby-fakeweb/1.3.0+dfsg-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org, Minto Joseph <mintojoseph@yahoo.com>:
Bug#710786; Package ruby-fakeweb. (Sun, 02 Jun 2013 11:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to minto joseph <mintojoseph@yahoo.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org, Minto Joseph <mintojoseph@yahoo.com>. (Sun, 02 Jun 2013 11:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: minto joseph <mintojoseph@yahoo.com>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: ruby-fakeweb -- A tool for faking responses to HTTP requests
Date: Sun, 2 Jun 2013 04:54:14 -0700 (PDT)
package: ruby-fakeweb
Severity: wishlist
Owner: Minto Joseph <mintojoseph@yahoo.com>

*Package Name : fakeweb
 Version : 1.3.0
 Upstream Author : Blaine Cook, Chris Kampmeier, and other contributors
*URL :  http://rubygems.org/gems/fakeweb
*License : Expat
*Description :  tool for faking responses to HTTP requests

 FakeWeb is a helper for faking web requests in Ruby.
 It works at a global level, without modifying code or
 writing extensive stubs.



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org, Minto Joseph <mintojoseph@yahoo.com>:
Bug#710786; Package ruby-fakeweb. (Sun, 02 Jun 2013 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org, Minto Joseph <mintojoseph@yahoo.com>. (Sun, 02 Jun 2013 12:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 710786@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: minto joseph <mintojoseph@yahoo.com>, 710786@bugs.debian.org
Subject: Re: Bug#710786: ruby-fakeweb -- A tool for faking responses to HTTP requests
Date: Sun, 2 Jun 2013 14:49:18 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 wnpp
Control: retitle -1 ITP: ruby-fakeweb -- tool for faking responses to HTTP requests

Hi,

On 2013-06-02 04:54:14, minto joseph wrote:
> package: ruby-fakeweb
> Severity: wishlist
> Owner: Minto Joseph <mintojoseph@yahoo.com>

the package ruby-fakeweb doesn't exist so this looks like a ITP/RFP to
me. These types of bugs should be filed against wnpp [1]. Since you've set
yourself as Owner, I assume that it should be an ITP and you want to
package ruby-fakeweb yourself.

Regards

[1] http://www.debian.org/devel/wnpp/

> *Package Name : fakeweb
>  Version : 1.3.0
>  Upstream Author : Blaine Cook, Chris Kampmeier, and other contributors
> *URL :  http://rubygems.org/gems/fakeweb
> *License : Expat
> *Description :  tool for faking responses to HTTP requests
> 
>  FakeWeb is a helper for faking web requests in Ruby.
>  It works at a global level, without modifying code or
>  writing extensive stubs.

-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'ruby-fakeweb' to 'wnpp'. Request was from Sebastian Ramacher <sramacher@debian.org> to 710786-submit@bugs.debian.org. (Sun, 02 Jun 2013 12:51:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ruby-fakeweb -- tool for faking responses to HTTP requests' from 'ruby-fakeweb -- A tool for faking responses to HTTP requests' Request was from Sebastian Ramacher <sramacher@debian.org> to 710786-submit@bugs.debian.org. (Sun, 02 Jun 2013 12:51:05 GMT) Full text and rfc822 format available.

Added indication that bug 710786 blocks 712096 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 21:33:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 710786: 709760 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 22:15:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 710786: 709750 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 22:15:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 15 Jun 2013 20:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Minto Joseph <mintojoseph@yahoo.com>:
Bug#710786; Package wnpp. (Sat, 03 Aug 2013 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Minto Joseph <mintojoseph@yahoo.com>. (Sat, 03 Aug 2013 11:48:04 GMT) Full text and rfc822 format available.

Message #27 received at 710786@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Cc: 710786@bugs.debian.org
Subject: Review of the copyright file for ruby-fakeweb 1.3.0debian-1
Date: Sat, 3 Aug 2013 20:45:01 +0900
user debian-legal@lists.debian.org
usertags 710786 one-copyright-review
thanks

Dear Joseph,

In the hope of speeding up and strenghtening the processing of NEW I had a look
at your package. The rationale is explained in the proposal in the following
wiki page.

    http://wiki.debian.org/CopyrightReview

I have not found explicit copyright or licence statement that would be
missing from your debian/copyright file.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan



Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Sun, 27 Oct 2013 06:04:04 GMT) Full text and rfc822 format available.

Notification sent to minto joseph <mintojoseph@yahoo.com>:
Bug acknowledged by developer. (Sun, 27 Oct 2013 06:04:05 GMT) Full text and rfc822 format available.

Message #32 received at 710786-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 710786-close@bugs.debian.org
Subject: Bug#710786: fixed in ruby-fakeweb 1.3.0+dfsg-1
Date: Sun, 27 Oct 2013 06:00:18 +0000
Source: ruby-fakeweb
Source-Version: 1.3.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
ruby-fakeweb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 710786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-fakeweb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 04 Oct 2013 17:13:27 +0200
Source: ruby-fakeweb
Binary: ruby-fakeweb
Architecture: source all
Version: 1.3.0+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-fakeweb - tool for faking responses to HTTP requests
Closes: 710786
Changes: 
 ruby-fakeweb (1.3.0+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #710786)
Checksums-Sha1: 
 c85de9edd7d597a12493d97f2adacb53f7fc0ee0 2167 ruby-fakeweb_1.3.0+dfsg-1.dsc
 d5a9552285956f9fb67b6c9f6b526ce1b569846c 30544 ruby-fakeweb_1.3.0+dfsg.orig.tar.gz
 877757d3bb089548104d2553d8f842f01dc11541 3938 ruby-fakeweb_1.3.0+dfsg-1.debian.tar.gz
 81e39d379a950f387662eadb58886a25998f51b2 15858 ruby-fakeweb_1.3.0+dfsg-1_all.deb
Checksums-Sha256: 
 136225f8a2fb89d190fa51fe726c73b82419e11a479c55266168e30cab4ff09c 2167 ruby-fakeweb_1.3.0+dfsg-1.dsc
 3e8aabadf8634e11f14cec8d81092915c4c0e4d3f0b6c30ed7d76f446c63b24a 30544 ruby-fakeweb_1.3.0+dfsg.orig.tar.gz
 ff2a62bbb8ce76ac44a0b5a178cb810295738a71d9aebffaa66c3a60401110d1 3938 ruby-fakeweb_1.3.0+dfsg-1.debian.tar.gz
 b000a2f0a3ba959641bc855a79c574049cca686b306a20f831472af01e693e22 15858 ruby-fakeweb_1.3.0+dfsg-1_all.deb
Files: 
 2d506ab7901d5da7b6be2f470529cb0d 2167 ruby optional ruby-fakeweb_1.3.0+dfsg-1.dsc
 a020c3b202f3a56b7a61e0e403abc1ef 30544 ruby optional ruby-fakeweb_1.3.0+dfsg.orig.tar.gz
 e2953cf2dfa6a745030a67beacbdf484 3938 ruby optional ruby-fakeweb_1.3.0+dfsg-1.debian.tar.gz
 ada822ae51c3162cd83928f2798b173d 15858 ruby optional ruby-fakeweb_1.3.0+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSTtwfAAoJEKkHZFuPn48J98cQAIqKd23KqPOILf+UOIEOku9o
TXOZmwuKvVqWloPoRyTQfV2xmYD7/o+ZmQysVGvZv5WuSZ1bnqLbhgWGLmdXhqCI
CqY7LfZ3JUUwcayJOm1DeoX2i89RgfoIuLgEjZqP14XzWiUoxuksmuB7Dz70Mp4Y
R0j2UdrB+MyKA4zvJaZm5WVHXCvWDVj9M5MofhkLiiUT8ClZfJ3ea+QymwH9PxjU
v5Rt/52zC8rrWjngYAOufx5+ujdbniDSFt+dPORJXKkj1EYQtJ3P3QmRgmW07G4t
17KscANzARLoOu0bKJdg3qKP9DiVSHOpb821iSe/+Akwh2bO+Hhczfm4OXPfcUw6
Bfg2FuwZDiLHUY+hdLFtsAHi3z97Wn0zNKgXjMsFqteoglZeF7yaPirEvycfRbdy
MdtCGUc2CyB/A3IHkv05dN1tWy87vSdqOUE4Wg7+OYedxBB72uvbWs9E+OcGN9c9
iHlAR0KLeQ5dVMtcw/q5VtD1VuPXjcLplVWqLrOsRKEnI3UN0RMMoGygqUKFvHXY
+4xpeEGesoCwM7ObK0EI+J4BkfsvmLVtbDkfpzIgHcSERqvzTVhvWExT6rvBfVqB
ZkVJoIPFlGhTnzo+odrG/Em60QB9rTTJO4Q9jQvCuKsvaNWFPioKHhtDJl3Mo5nA
GPhhqkpmzNAUSsZa3aKq
=QNYR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Nov 2013 07:36:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:36:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.